/**
 * libtremor
 *
 * In memory support functions
 */
#ifndef __TREMORMEM__
#define __TREMORMEM__

#include <stdio.h>
#include <stdlib.h>
#include <math.h>
#include "ivorbisfile.h"
#include "ivorbiscodec.h"

typedef struct _MEMFILE
{
        char             *dataptr;
        long long int    offset;
        long long int    length;
} MEMFILE;

size_t mem_read(void *ptr, size_t size, size_t nmemb, void *datasource);
int mem_seek (void *datasource, ogg_int64_t offset, int whence);
long mem_tell( void *datasource );
int mem_close( void *datasource );
void InitialiseOVC( ov_callbacks *ov );

#endif
